## Documentation

- Overview
- Website
- Tutorials
- Class Index

## Classes

- _global_
- CL3D
- CL3D.AnimatedMeshSceneNode
- CL3D.Animator
- CL3D.AnimatorAnimateTexture
- CL3D.AnimatorCameraFPS
- CL3D.AnimatorCameraModelViewer
- CL3D.AnimatorCollisionResponse
- CL3D.AnimatorFlyCircle
- CL3D.AnimatorFlyStraight
- CL3D.AnimatorFollowPath
- CL3D.AnimatorOnClick
- CL3D.AnimatorOnProximity
- CL3D.AnimatorRotation
- CL3D.BillboardSceneNode
- CL3D.BoundingBoxTriangleSelector
- CL3D.Box3d
- CL3D.CameraSceneNode
- CL3D.ColorF
- CL3D.CopperCubeVariable
- CL3D.CopperLicht
- CL3D.CubeSceneNode
- CL3D.HotspotSceneNode
- CL3D.Light
- CL3D.LightSceneNode
- CL3D.Line3d
- CL3D.Material
- CL3D.Matrix4
- CL3D.Mesh
- CL3D.MeshBuffer
- CL3D.MeshSceneNode
- CL3D.MeshTriangleSelector
- CL3D.MetaTriangleSelector
- CL3D.Mobile2DInputSceneNode
- CL3D.OctTreeTriangleSelector
- CL3D.Overlay2DSceneNode
- CL3D.ParticleSystemSceneNode
- CL3D.PathSceneNode
- CL3D.Plane3d
- CL3D.Quaternion
- CL3D.Renderer
- CL3D.Scene
- CL3D.SceneNode
- CL3D.SkyBoxSceneNode
- CL3D.SoundSceneNode
- CL3D.TerrainSceneNode
- CL3D.Texture
- CL3D.TextureManager
- CL3D.Triangle3d
- CL3D.TriangleSelector
- CL3D.Vect2d
- CL3D.Vect3d
- CL3D.Vertex3D
- CL3D.WaterSurfaceSceneNode

CopperLicht API Documentation

# Class CL3D.CopperCubeVariable

Interface class for accessing CopperCube variables

Class Overview
CL3D.CopperCubeVariable()
Interface class for accessing CopperCube variables, which can be set and changed using the Actions and Behaviors in the CopperCube editor. Use the static function CL3D.CopperCubeVariable.getVariable to get an instance of a variable.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| getName() Returns the name of the variable
| getValueAsFloat() Returns the value of the variable as float
| getValueAsInt() Returns the value of the variable as int
| getValueAsString() Returns the value of the variable as string
<static> | CL3D.CopperCubeVariable.getVariable(n, createIfNotExisting, scene) Static function, returns the instance of an existing CopperCube variable or creates one if not existing.
| isFloat() Returns if this variable is a float value
| isInt() Returns if this variable is an int value
| isString() Returns if this variable is a string
| setName(n) Sets the name of the variable
| setValueAsFloat(v) Sets the value of the variable as float
| setValueAsInt(v) Sets the value of the variable as int
| setValueAsString(v) Sets the value of the variable as string

Method Detail
getName()
Returns the name of the variable

getValueAsFloat()
Returns the value of the variable as float

getValueAsInt()
Returns the value of the variable as int

getValueAsString()
Returns the value of the variable as string

<static> {CL3D.CopperCubeVariable} CL3D.CopperCubeVariable.getVariable(n, createIfNotExisting, scene)
Static function, returns the instance of an existing CopperCube variable or creates one if not existing.

Parameters:
n
  {String} Name of the variable
createIfNotExisting
  {Boolean} if the variable is not found, it will be created if this is set to true.
scene
  {CL3D.Scene} The current scene. This parameter is optional, this can be 0. It is used for getting runtime variables such as #player1.health

Returns:
  {CL3D.CopperCubeVariable} Returns instance of the variable or null if not found

isFloat()
Returns if this variable is a float value

isInt()
Returns if this variable is an int value

isString()
Returns if this variable is a string

setName(n)
Sets the name of the variable

Parameters:
n
  Name

setValueAsFloat(v)
Sets the value of the variable as float

Parameters:
v
  the new value

setValueAsInt(v)
Sets the value of the variable as int

Parameters:
v
  the new value

setValueAsString(v)
Sets the value of the variable as string

Parameters:
v
  the new value

© 2011-2018 N.Gebhardt, Ambiera
Documentation generated by JsDoc Toolkit